<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

class AddProcessListTypeToStatus extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE station_tasks MODIFY COLUMN status enum ('待处理','挂起','处理队列','处理中','完成','异常','取消') default '待处理'");
        DB::statement("ALTER TABLE station_task_batches MODIFY COLUMN status enum ('待处理','挂起','处理队列','处理中','完成','异常','取消') default '待处理'");
        DB::statement("ALTER TABLE station_task_material_boxes MODIFY COLUMN status enum ('待处理','挂起','处理队列','处理中','完成','异常','取消') default '待处理'");
        DB::statement("ALTER TABLE station_task_commodities MODIFY COLUMN status enum ('待处理','挂起','处理队列','处理中','完成','异常','取消') default '待处理'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::statement("ALTER TABLE station_tasks MODIFY COLUMN status enum ('待处理','挂起','处理中','完成','异常','取消') default '待处理'");
        DB::statement("ALTER TABLE station_task_batches MODIFY COLUMN status enum ('待处理','挂起','处理中','完成','异常','取消') default '待处理'");
        DB::statement("ALTER TABLE station_task_material_boxes MODIFY COLUMN status enum ('待处理','挂起','处理中','完成','异常','取消') default '待处理'");
        DB::statement("ALTER TABLE station_task_commodities MODIFY COLUMN status enum ('待处理','挂起','处理中','完成','异常','取消') default '待处理'");
    }
}
